<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?err".SID);exit;}
$ank = mysql_fetch_array($q);
$set['title'] = 'Мнения о '.$ank['nick'].'';
include_once '../sys/inc/thead.php';




title(); 
aut();

if (isset($_POST['msg']) && isset($user))
{
if(isset($_POST['show']))
{
if($_POST['show'] == 1) $show='1';
else $show='0';
}
else $show='0';
$msg=$_POST['msg'];

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif(!isset($err)){
mysql_query("INSERT INTO `views` (`id_user`, `time`, `msg`, `id_kont`, `show`) values('$user[id]', '$time', '".my_esc($msg)."', '$ank[id]', '$show')");
}
msg('Мнение успешно добавлено');
}

err();

 // форма авторизации


if (isset($user))
{	
	if($user['id']==$ank['id'])
	{
		echo "Сам про себя ничего не скажешь, - за то могут сказать другие!";
	}
else
	{
		echo "<form method=post name='message' action=?id=$ank[id]>\n";
		echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />\n";
		echo "<label><input type=\"checkbox\" name=\"show\" value=\"1\" />Анонимное сообщение</label><br />\n";
		echo "<input value=\"Отправить\" type=\"submit\" />\n";
		echo "</form>\n";
	}
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `views` WHERE `id_kont` = $ank[id]"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `views` WHERE `id_kont` = $ank[id] ORDER BY `time` DESC LIMIT $start, $set[p_str]");
if ($k_post==0)
{

echo "Нет мнений о этом пользователе<br>\n";

}
while ($post = mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

if($num==1){ echo "<div class='rowup'>"; 
$num=0;}
else
{echo "<div class='main2'>";
$num=1;}


if($post['show']==1){echo"Кто-то \n";if($user[level]>3){echo "написал: <a href=/info.php?id=$ank[id]>$ank[nick]</a> (".vremja($post['time']).")\n";}}else{
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>";




echo "(".vremja($post['time']).")\n";
echo "</div>\n";
}
echo "<br>\n";
echo "<div class='main'>";
echo output_text($post['msg'])."<br />\n";
if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
echo "[<a href='delete.php?id=$post[id]&amp;del'><font color = red>Удалить мнение</a></font>]\n";
echo "</div>\n";
}






if ($k_page>1)str("?id=$ank[id]&amp;',$k_page,$page"); // Вывод страниц






include_once '../sys/inc/tfoot.php';
?>